### Enumeration

# GtkSource AnnotationStyle

since: 5.18

#### Declaration

    enum GtkSource.AnnotationStyle

#### Description

No description available.

Available since: 5.18

#### Members

`GTK_SOURCE_ANNOTATION_STYLE_NONE`

  Same color as drawn spaces.

  - Value: `0`
  - Available since: 5.18
`GTK_SOURCE_ANNOTATION_STYLE_WARNING`

  Same as the diff:changed-line foreground color.

  - Value: `1`
  - Available since: 5.18
`GTK_SOURCE_ANNOTATION_STYLE_ERROR`

  Same as the diff:removed-line foreground color.

  - Value: `2`
  - Available since: 5.18
`GTK_SOURCE_ANNOTATION_STYLE_ACCENT`

  Same as the diff:added-line foreground color.

  - Value: `3`
  - Available since: 5.18